﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace KuzminBolshakovLab5
{
    // Класс для вызова программы
    class Program
    {
        static void Main(string[] args)
        {
            Console.WriteLine("Введите значение x:");
            try
            {
                double x = double.Parse(Console.ReadLine());
                
                SolveClass sol = new SolveClass();

                sol.DriveCos();
                sol.DriveCot();
                sol.DriveTan();
                sol.DriveSec();
                sol.DriveLogBase();

                // Решение системы уравнений
                if (SolveClass.SolveSystem(x, out double leftResult, out double rightResult))
                {
                    if (leftResult != double.MinValue)
                        Console.WriteLine($"Первое уравнение: {leftResult}");
                    if (rightResult != double.MinValue)
                        Console.WriteLine($"Второе уравнение: {rightResult}");
                }
                else
                {
                    Console.WriteLine("Система не может быть решена для заданного x.");
                }
            }
            catch (Exception ex)
            {
                Console.WriteLine($"Ошибка: {ex.Message}");
            }

            Console.ReadKey();
        }
    }
}